# PyStaticConfiguration Documentation

## Install

- PyStaticConfiguration is available on pypi: https://pypi.python.org/pypi/PyStaticConfiguration
- The source is hosted on github: https://github.com/dnephin/PyStaticConfiguration

    $ pip install PyStaticConfiguration

Also see the Release Notes

## Contents

- Overview
  - Configuration Loading
  - Reading configuration values
  - Example
  - Logging
  - Reading dicts
- Config
  - Configuration Reloading
  - Errors
- Configuration Loading
  - Examples
  - Arguments
  - Custom Loader
- Validation
- Readers
  - Examples
  - Arguments
  - Building custom readers
- Schema
  - Example
  - Arguments
  - Custom schema types
- Getters
  - Example
  - Arguments
  - Proxy
- Testing

# Indices and tables

- Index
- Module Index
- Search Page